# Edit this configuration file to define what should be installed on
# your system. Help is available in the configuration.nix(5) man page, on
# https://search.nixos.org/options and in the NixOS manual (`nixos-help`).

{ config, lib, pkgs, ... }:

{
  imports =
    [ # Include the results of the hardware scan.
      ./hardware-configuration.nix
      ./programs/sof-firmware.nix
      # Not working yet.
      #./services/fprintd.nix
      ./services/touchpad.nix
      ./system/bootloader.nix
      ./system/filesystems.nix
      ./system/networking.nix
    ];

  system.stateVersion = "25.05"; # Did you read the comment?
}

